Groovy 1.7.10

## groovy.model
[Java] Class DefaultTableModel.MyTableColumnModel

    java.lang.Object
      javax.swing.table.DefaultTableColumnModel
          groovy.model.DefaultTableModel.MyTableColumnModel

    protected static class DefaultTableModel.MyTableColumnModel
    extends DefaultTableColumnModel

Method Summary
`List` | `getColumnList()`
`void` | `moveColumn(int columnIndex, int newIndex)`
`void` | `removeColumn(TableColumn column)`
`void` | `renumberTableColumns()`

Methods inherited from class DefaultTableColumnModel

getColumn, getListeners, propertyChange, getColumnCount, addColumn, addColumnModelListener, getColumnIndex, getColumnIndexAtX, getColumnMargin, getColumnSelectionAllowed, getColumns, getSelectedColumnCount, getSelectedColumns, getSelectionModel, getTotalColumnWidth, moveColumn, removeColumn, removeColumnModelListener, setColumnMargin, setColumnSelectionAllowed, setSelectionModel, valueChanged, getColumnModelListeners, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getColumnList

    public List getColumnList()

### moveColumn

    public void moveColumn(int columnIndex, int newIndex)

### removeColumn

    public void removeColumn(TableColumn column)

### renumberTableColumns

    public void renumberTableColumns()

Copyright © 2003-2010 The Codehaus. All rights reserved.